What is VAIO Media Console?

VAIO Media Console is software that allows you to manage the server-client interactions on a network. Depending on your VAIO Media Console settings, you can enjoy your stored media with any device on your home network, such as VAIO Media devices or RoomLink devices.

What you can do with VAIO Media Console

  • By starting and stopping the server function of VAIO Media Integrated Server, you can select the media that you want to share with other computers and devices (clients) on the network.
  • By registering devices on the server, you can grant access to certain media to specific clients.

What is VAIO Media?

VAIO Media is software that allows you to access media through a personal network within your home. You can also use VAIO Media to enjoy different types of media on one computer.

Before using VAIO Media Console

  • You need to make network settings on the computers within your home to build a network. For details about these settings, refer to the documentation provided with your computer.
  • For security reasons, make sure that you register the devices (clients) that will access the computer (server). For details about device registration, refer to Preparing your Network for use with VAIO Media.


Starting and Quitting

Note

You must log on to the server as a user with administrator access privileges.

Starting VAIO Media Console

On the Start menu, point to All Programs, VAIO Media, Server Administration, and then click VAIO Media Console.
VAIO Media Console starts and its icon appears on the Windows taskbar.

Quitting VAIO Media Console

Click the Media Console icon on the Windows taskbar, and then click Exit on the shortcut menu that appears.

Closing VAIO Media Console Without Quitting the Program

Perform any of the following to close VAIO Media Console without quitting the program.
  • Click [image] .
  • Click OK or Cancel.

Hint

By default, VAIO Media Console starts when Windows does and its icon appears on the Windows taskbar. If VAIO Media Console does not start when Windows does, select the "Run VAIO Media Console on system startup" check box on the Other tab.


Starting and Stopping the Server Function

You can start or stop the VAIO Media server function running on the server. When you start up the server, it makes the content stored on the server available on the network.

Starting and stopping the server functions

On the Start and Stop the Servers tab, under Status of the Servers, click the Start button.
The selected server functions start.

To stop an active server function, click the Stop button.

Note

Stopping an active server function completely disables access to the server.


Enabling Access from Another Device (Client)

Perform the following on the server to enable access to this computer from another device (client).
  1. On the Access Control Settings tab, select the "Access this computer from other devices connected to the network" check box.
    Read the contents of the Warning dialog box and click the OK button.
  2. Under Access Control Settings, specify the categories of client allowed to access the server.
    • To only grant access to the server to clients that you registered manually, select "Restrict access to this computer to manually-registered devices (Recommended)".
    • To allow access to the server to all clients, select "Allow all connectable devices to access this computer".


Registering Devices

You can register, delete, or rename devices (clients) accessing the server.

Note

  • For security reasons, make sure that you register manually the devices (clients) that will access it on the computer (server).
  • On the Access Control Settings tab, the "Access this computer from other devices connected to the network" check box must be selected.

Registering a device

On the Access Control Settings tab, click the Register button.
Follow the instructions on the screen. For details about device registration, refer to Preparing your Network for use with VAIO Media.

Deleting a registered device

  1. On the Access Control Settings tab, in the List of Registered Devices, select the device that you want to delete.
  2. Click the Delete button.
  3. Click the OK button.

Renaming a registered device

  1. On the Access Control Settings tab, in the List of Registered Devices, select the device that you want to rename.
  2. Click the Rename button.
  3. Type the new name of the device.


Saving media files in a public folder

Normally, the media that you can enjoy with VAIO Media is saved on the server with VAIO software. However, you can still enjoy media other than the one saved in this manner by registering folders on the server to the VAIO Media Console, and then save files in these folders. You can even register folders that already contain media files, if you want. This allows you to use VAIO Media to enjoy music, photos, and video other than the one supported by VAIO software.

You can register up to ten folders on the server to VAIO Media Console.

  1. On the Start and Stop the Server tab, click the Add button under "Folder settings to automatically register or delete media content".
  2. Browse to select the desired folder, and then click the OK button.
    The folder specified in this way appears in the Access media in this folder list of "Folder settings to automatically register or delete media content".

Notes

  • You cannot specify the following folders.
    • The root directory of the hard disk drive (e.g.: C:\).
    • The folders where Windows or programs are installed (i.e.: C:\Windows or C:\Program Files, respectively).
    • Any of the folders in C:\Documents and Settings.
    • Any folders located on a DVD/CD-ROM drive or removable drive.
  • Only the specified folder and the ones it contains are uploaded.
  • The media uploaded with the Network Smart Capture 1.2 or later pinpoint observation function is saved in C:\Documents and Settings\All Users\VAIO Media Integrated Server\Incoming.
  • Do not modify the names or delete the folders registered here.

Hint

Using PictureGear Studio 2.0 or later, or Network Smart Capture 1.2 or later you can upload photos through the network to the folders registered as described above.

Deleting the public folder

Select the desired folder in the Access media in this folder list of "Folder settings to automatically register or delete media content", and then click Delete, which removes the selected folder from the list of folders containing media.

Formats supported by clients and server

When you access compatible media on the server from a client through your network, the server converts the format of the file to match the settings of the client. This format conversion depends on the settings of each client, although performed by the server.

When using VAIO Media-compatible devices other than computers to enjoy media, the formats must be converted to formats supported by the server and/or clients. Refer to the devices' documentation and take care of the following:

  • When a VAIO Media-compatible device other than a computer is used as the server, you must convert media to a format supported by VAIO Media.
  • When a VAIO Media-compatible device other than a computer is used as a client, you must convert media to a format supported by the client. It is not possible to enjoy other types of media.

The following table shows formats before and after conversion.

Type of media
Format before conversion
Format after conversion
Audio
  • OpenMG (This does not include audio files obtained from any online audio content provider)
  • WAV (linear pulse code modulation)
  • MP3 (MPEG1 Audio Layer-3)
RAW (linear pulse code modulation)
Photo
  • Bitmap
  • JPEG
  • GIF
  • TIFF
  • PNG
JPEG
Video
  • Video recorded with Giga Pocket*1
  • Video imported with Giga Pocket*1 (MPEG1 or MPEG2)
  • Video recorded with Windows XP Media Center Edition*1
  • The following video files:
    • MPEG1*2
    • MPEG2 (program stream)*3
    • AVI (DV-AVI, DivX*4, etc.)
    • WMV*2
  • MPEG1
  • MPEG2
Television
  • Television signal from a television tuner*1
  • External input signal*1 (only possible with televisions equipped with an external input signal connector)
  • MPEG1
  • MPEG2

*1 | The "PC Name (TV)" is provided by the server.
*2 | M-Type servers only.
*3 | Type-L servers must use MPEG2 files that meet the following conditions: Video Format: MPEG-2 PS Video Codec: MPEG-2V Audio Codec: MPEG-1 Layer 2 Resolution: 720 x 480, 352 x 480, 352 x 240 Bit rate: 2 to 9.8 Mbps Frame rate: 29.97, or 30 Aspect ratio: 4:3 or 16:9 Audio Sampling frequency: 48 KHz Sampling: 16-bit Audio channel: stereo or monaural
*4 | You must install the appropriate codec on the computer used as the server to convert DivX files.

Note

  • Some files may not play back normally and some may not play back at all, depending on the file. Sony does not accept any responsibility for this.

  • Files with either sampling frequency of below 8 kHz or sampling bit rate of 8 bit are not supported.

    Hint

    There are three types of servers. To verify your type of server, click the Version button of VAIO Media Console.

    • Type-M: Equipped with a video conversion function. Converted image size 352 x 240 pixels.
    • Type-L: Not equipped with a video conversion function.


Start and Stop the Server Tab

You can start and stop server functions (Music Server, Photo Server, and Video Server) providing media for playback to VAIO Media, as well as verify the status of each server on the Start and Stop the Server tab.

You can also specify which clients can upload and/or delete photos and/or video, as well as specify folders from which clients are able to access contents.

A "Start and Stop the Servers" box
In the "Status of the Servers" box, you can verify the operating status of each server, as well as start or stop server functions.
  • Start button
    Used to start the selected server function in "Status of the Servers".
  • Stop button
    Used to stop the selected server function in "Status of the Servers".
B "Register and Delete Content from other programs and devices" box
Use this box to determine whether clients can handle the contents on the server (this computer).
If you select the "Allow other programs and devices to register and delete media content" check box, clients can upload and delete photos to and from the server. If you do, input a password in the "Password" text box.
C "Folder settings to automatically register or delete media content" box
Specify the folder made public to clients.
When clients upload photos to the server, this is the destination folder.
  • Add button
    Registers a folder. Registered folders are listed in the box marked "Access media content in this folder".
  • Delete button
    Removes a registered folder. After selecting a folder in the box marked "Access media content in this folder", click this button to remove it from the list.
  • Open button
    Opens the selected folder. Allows you to verify the contents of the folder.

Notes

  • You cannot specify the following folders.
    • The root directory of the hard disk drive (e.g.: C:\).
    • The folders where Windows or programs are installed (i.e.: C:\Windows or C:\Program Files, respectively).
    • Any of the folders in C:\Documents and Settings.
    • Any folders located on a DVD/CD-ROM drive or removable drive.
  • Only the specified folder and the ones it contains are uploaded.
  • The media uploaded with the Network Smart Capture 1.2 or later pinpoint observation function is saved in C:\Documents and Settings\All Users\VAIO Media Integrated Server\Incoming.
  • Do not modify the names or delete the folders registered here.
D Version button
Use this button to display the VAIO Media Integrated Server version.


Access Control Settings Tab

On this tab, you can determine what clients can access the server, as well as register devices and manage registered devices.

A "Access this computer from other devices connected to the network" check box
When this check box is selected, you can make "Access Control Settings" and "Register and Delete the Devices" settings, making access to the server from other devices possible.
B "Access Control Settings" box
In this box, you can specify the categories of device that can access the server.
There are two categories of devices that can access the server: devices registered manually and devices registered automatically.
Device category | Registration status
Devices registered manually | Devices that you registered using the Register button.
Devices registered automatically | Devices that access the server are registered automatically.
  • Restrict access to this computer to manually-registered devices
    Select this option to allow only devices that you registered using the Register button to access the server. Devices registered automatically appear grayed in the List of Registered Devices and cannot access the server. Furthermore, new devices must be registered manually.
  • Allow all connectable devices to access this computer
    Select this option to allow all registered devices to access the server.

    Hint

    If an unregistered device accesses the server, it is automatically registered in the List of Registered Devices. However, when Registered Devices reaches 20, unregistered devices can no longer access the server.
C "Register and Delete the Devices" box
For security reasons, to access the media on the server, you must first register clients on it.
The list of registered devices appears in the List of Registered Devices.

Hint

  • You can register a maximum of 20 devices, manually or automatically.
  • You can verify which devices were registered manually and which were registered automatically in the Register column.
  • Devices unable to access the server because of the settings in the "Access Control Settings" box appear grayed.

The following buttons are used to register and manage devices.
  • Register button
    Used to display a dialog box used to register devices manually on the server.
  • Rename button
    Used to rename the selected device in the List of Registered Devices.
  • Delete button
    Used to delete the selected device in the List of Registered Devices.

    Hint

    When the "Restrict access to this computer to manually-registered devices" option is selected in the "Access Control Settings" box and you delete a device here, it can no longer access the server.
D Version button
Use this button to display the VAIO Media Integrated Server version.

Protecting the media files stored on the server

If your server is connected directly to the Internet (not through a router) or you are connected to an intranet (such as in a condominium) that can readily be accessed by third parties, clients could be registered automatically to the server without your knowledge, allowing them access to your media files. You should normally register clients manually to ensure that only specific devices can enjoy the media files on your server.

Note also that if you change the VAIO Media Console registration method from automatic to manual, all clients that were registered automatically will no longer be able to access the server until registered manually.


Other Tab

You can make various VAIO Media Console settings on this tab.

This tab displays differently depending on the Service Pack version you have installed with Windows XP.

  • With Service Pack 2
  • With Service Pack 1

With Service Pack 2

A "Make this computer accessible from other devices when using Windows Firewall" box
If Windows Firewall is active on the server (this computer), client computers may not be able to connect to the server with VAIO Media. With this box, you can set it so that VAIO Media can be used while Windows Firewall is active.
The current status (active or inactive) of Windows Firewall on the computer is displayed in the Status of Windows Firewall box. When Windows Firewall is active and you wish to make communications from VAIO Media available to all active network connections, Select the checkbox next to "Allow other devices on the network to access this server" and click "OK" or "Apply". This opens ports for the server to use.

Note

If you select "Allow other devices on the network to access this server" to make communications from VAIO Media available over the network, we recommend that you manually register which devices to allow access to your media files, by selecting "Restrict access to this computer to manually-registered devices" in the "Access Control Settings" box on the Access Control Settings tab.
B Server Status Display box
Sets the VAIO Media Console indicator to display in the taskbar when VAIO Media Console is running, allowing you to quickly check the server status. If you select the checkbox next to "Automatically start VAIO Media Console when computer starts", VAIO Media Console will start automatically every time Widows starts up, and will always be displayed in the taskbar.
C Server Ports box
When using a personal firewall other than Windows Firewall, refer to the port numbers and protocols displayed in the Server Ports box when configuring your personal firewall settings. For more details about configuring these settings, refer to Preparing Your Network for Use with VAIO Media.
D Version button
Use this button to display the VAIO Media Integrated Server version.

With Service Pack 1

A "Access to this computer from other devices through a personal firewall" box
If you are using a personal firewall on the server, client VAIO Media may not be able to connect to the server. You can make settings in this box to make using VAIO Media possible while the firewall is up.
  • The status of the Windows XP "Internet Connection Firewall" (enabled or disabled) appears next to "Internet Connection Firewall status". If this function is enabled and you want to authorize all VAIO Media communications, select the "Open the port to grant other devices on the network access to the server" check box, and then click the OK or Apply button. Doing so, the ports appearing in the services running on VAIO Media Integrated Servers list open.
  • The port number dynamically set at the server appears in the "Port to use" box. If there are several such numbers, they are assigned and set sequentially according to the value appearing here.
  • If you are using a firewall other than the Windows XP "Internet Connection Firewall", set your firewall by referring to the port numbers and protocols in the services running on VAIO Media Integrated Servers list. For details, refer to Preparing your Network for use with VAIO Media.
B "Status of the Servers" box
The server status is displayed by the VAIO Media Console icon on the Windows taskbar, allowing you to verify the status of the server. To set VAIO Media Console to start automatically when Windows starts, select the "Run VAIO Media Console on system startup" check box. Doing so, every time you start Windows, VAIO Media Console starts and becomes resident on the Windows taskbar.
C Version button
Use this button to display the VAIO Media Integrated Server version.


Miscellaneous

Caution

Even when the server is set to automatically go on standby or turn off after a certain amount of time, it does not enter these states in the following situation:

  • When a client is playing back media on the server.
However, if the server runs on batteries and the batteries are depleted, or if the server is turned off manually, the server goes on standby or turns off, despite the condition outlined above and media playback is interrupted.

Trademarks

Copyright 2003, 2004 Sony Corporation

  • is a trademark of Sony Corporation.
  • Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.
  • All other system names and product names appearing in this document are generally the registered trademarks or trademarks of their respective manufacturers. Further, the trademark (TM) and registered trademark (R) symbols are not indicated throughout this document.

  • Copying all or part of the contents of this software and help, or renting the software without authorization are prohibited by copyright laws.
  • The Sony Corporation cannot accept liability for damage or loss resulting from the use of this software, or for any claim from a third party.
  • This software must not be used in a system other than that specified.
  • The software specifications may be subject to change without notice.


Troubleshooting

You cannot see the server when you connect to it immediately after it starts.
In some instances, it may take up to five minutes before you can see the server. Start the server and wait for a few minutes before attempting to connect to the server.
After connecting to the server, you are not able to find the tracks you want to listen to.
Even if the tracks you want to listen to are stored on the server, if they are not registered to SonicStage or if they are not in the folder registered in VAIO Media Console, you cannot play back the tracks.
It takes an unusually long time to display the list.
If the folder that you select contains an especially large number of files (audio, photos, video), it may take some time before the list appears on the screen.
You cannot play back the selected track.
  • If you select a folder that does not contain any tracks, playback does not start.
  • You cannot play back tracks with elapsed playback expirations. Tracks that cannot be played back are grayed in the playlist.
You cannot play back OpenMG format music files.
OpenMG format music files cannot be played back simultaneously on several clients or players using other programs such as SonicStage or VAIO Media. Furthermore, if you display a playlist containing an OpenMG track being played back on a different client, stopping playback of the file does not guarantee that you can play it back on your client.
You cannot play back all WAV files.
You can only play back linear pulse code modulation (PCM) WAV files with VAIO Media. Other WAV files are not supported.
Some MP3 files do not behave normally.
VAIO Media cannot properly handle MP3 files recorded at a variable bit rate (VBR) or with a bit rate exceeding 256Kbps. When these files are played, playback may be cut off or the correct track time may not be displayed. If this happens, re-encode the MP3 file at a constant bit rate (CBR) of 256Kbs or less.
VAIO Media no longer responds after the connection to the server is severed during playback.
If the connection to the server is severed for any of the following reasons during playback, VAIO Media may become unresponsive.
  • The server was turned off.
  • The server was manually placed on standby.
  • The network cable was disconnected.
Do not perform any of these operations during playback. If VAIO Media ceases to respond, restart your computer.
You cannot view photos.
  • Verify the format of your photos. VAIO Media only supports bitmaps, JPEG, GIF, TIFF, and PNG image files.
  • Verify that your photos are registered on the server.
  • If a folder managed with VAIO Media contains too many photos and/or folders, accessing subfolders may take an unusually long time. To prevent this problem, reduce the number of photos and subfolders contained in one folder.
You cannot view your photos as a slideshow.
If the number of photos (image files) stored in the folder and/or subfolders specified for the slideshow is too large, you may not be able to view the slideshow. Reduce the number of photos in the folders.
You cannot view media (music, photos, or video) added to the server.
If the media on the server changes after VAIO Media starts, it may not appear correctly in VAIO Media. To correct this problem, point to the left edge of the screen with your mouse, and click Refresh on the menu that appears, or restart VAIO Media.
Music, photos, or video that were deleted from the server are still displayed as thumbnails.
If the media on the server changes after VAIO Media starts, it may not appear correctly in VAIO Media. To correct this problem, point to the left edge of the screen with your mouse, and click Refresh on the menu that appears, or restart VAIO Media.
You can no longer see music, photo, or video files visible until now.
A VAIO Media or server problem may have occurred. Restart VAIO Media and/or the server.
VAIO Media cannot play back video or music smoothly.
  • Depending on the condition of your network, in some instances you may not be able to play back audio or video files, or audio and video playback may not be smooth. Wireless networks are particularly prone to such problems.
    • If this problem occurs while you are watching video, select a lower bit rate on the Video setting screen.
    • If this problem occurs while you are watching television, select a lower image quality setting on the TV setting screen.
  • If you use several other programs as you play back audio or video files with VAIO Media, this problem may occur because of the increased processing load on your computer. Close some or all the programs except VAIO Media to solve the problem.
  • If audio is choppy during playback, lower the bit rate of the audio track.
VAIO Media cannot display television smoothly.
Select a lower image quality setting on the TV setting screen.
You cannot connect to the server where your video is stored.
If you attempt to connect VAIO Media to the server a few minutes after it starts, an error may occur. Attempt the connection again after some time.
You cannot find the desired server.
  • The server may not have been activated. Use the VAIO Media Console to activate the servers. For details, refer to Preparing your Network for use with VAIO Media.
  • If the computer running VAIO Media is not registered on the server, you cannot connect to the server. For details, refer to Preparing your Network for use with VAIO Media.
  • There may be a problem with the server. Verify the status of the server.
  • Some computers on the network may not be properly connected to the network. Verify network connections.
  • The server selection screen may not be up to date. In the VAIO Media Setting screen, delete the server that you are looking for, and then restart VAIO Media.
The message "Could not connect because another device is in use" appears.
There could be a problem with the amount of simultaneous connections to the servers. When this message appears, you cannot playback recorded video or watch television from the server. Normal video playback may also not be possible from clients.
The desired server is not displayed on the "Please select a server" screen.
  • The server may not be ready for operations. Use the VAIO Media Console to activate the servers. For details, refer to VAIO Media Help.
  • The server and client may not be connected to the network on the same segment. Verify your network settings.
  • If the server or clients are using the Windows Firewall function for Windows XP (Service Pack 2), the Internet Connection Firewall function for Windows XP (Service Pack 1), or software that includes a personal firewall function, VAIO Media may not operate correctly. Make the following settings on the server computer:
    • (With VAIO Media Integrated Server 3.0 or later) Configure settings related to Windows Firewall or Internet Connection Firewall on the Other tab in VAIO Media Console to make sure that clients can access the server.
    • (With versions of VAIO Media Integrated Server prior to 3.0) Disable Windows Firewall or Internet Connection Firewall for network interfaces on the server that are connected to external networks.
    Network security is an important issue. You should never disable your network firewall if it is connected directly to the Internet.
  • The server may not be set up to grant access to other devices. Start the VAIO Media Console. On the Access Control Settings tab, select the "Access this computer from other devices connected to the network" check box.
  • The server is set up only to grant access to clients registered manually. If this is the case, clients registered automatically cannot connect to the server. With the VAIO Media Console, change the manual registration setting to the automatic registration setting, or register your client manually.
  • The server may have reached the maximum number of 20 registered clients. Start the VAIO Media Console. On the Access Control Settings tab, verify if the List of Registered Devices contains 20 clients. If so, delete unnecessary clients.
  • If your computer is equipped with several network interfaces, you may be trying to connect to the server through a different interface than the one you used to register the client. If you want to use VAIO Media through several interfaces, you must register the client with each interface separately.
  • The contents of the VAIO Media display may not be up to date. Restart VAIO Media.
You cannot watch video and/or television.
  • If channel settings are not setup on the server, it is not possible to watch television. Setup channels on the server.
  • If you remove Giga Pocket from your computer, you are no longer able to watch video or television broadcasts with VAIO Media. If you removed Giga Pocket from your computer, reinstall it.
Changing the display order takes an unusually long time.
It may take some time until the display order changes. Wait until it does.
The server response becomes slow during operation.
If folders registered in VAIO Media Console contain video files, the server may have to convert them before playback, slowing its response time.
VAIO Media becomes unstable when you double-click an item.
VAIO Media is a single-click program. In other words, you only need to click items once to open/display them. If you double-click a menu or a button, VAIO Media may become unstable. If this happens, restart VAIO Media.
You cannot upload photos to the server.
  • If you are using PictureGear Studio 1.0 to perform this operation, you cannot upload photos.
  • Even if you did not set any password, the server may prompt you to input a password when you try to upload photos with PictureGear Studio or Network Smart Capture. If this happens, start the VAIO Media Console, click the Start and Stop the Server tab, and then select the "Allow other programs and devices to register and delete media content" check box under "Register and Delete Content form other programs and devices".
  • You cannot upload photos to the server's "top folder" or "registered folders", nor to folders reserved for video and/or music. To upload photos, specify the folder specified with VAIO Media Console.
When you attempt to register your client on the server, an error message appears telling you that it is already registered.
Temporarily delete the client from the server and retry. Start the VAIO Media Console. On the Access Control Settings tab, select the name of the client in the List of Registered Devices, and then click Delete.
The server does not go on standby or hibernate automatically.
If you are streaming data (i.e. playing back files while sending and/or receiving them), the server does not go on standby. Once streaming ends, the server goes on standby after the preset interval.


Preparing your Network for use with VAIO Media

Preparing your Network for use with
VAIO Media
This section explains how VAIO Media is used to enjoy listening to music, viewing photos, watching recorded video and Live Television on your computer.
Introduction
VAIO Media is a home networking application that allows you to enjoy media stored on other computers across your network. The computer containing this media is called a server. The computer using VAIO Media to access content from that server is called a client. The configuration of the server and clients in a network environment is illustrated below.

Hint
Even with only one computer (the computer acts as server and client), you can still enjoy your favorite media.
Storing Media on the Server
The media content that you can enjoy with VAIO Media is stored on the server. There are various ways to store the content but that depends on the type of media (music, photo, video).
Storing Media on the Server
Installing VAIO Media on a Client
VAIO Media has included a file that allows you to install the application on client computers on your network. This file is called the VAIO Media Installer. Once installed to clients computers on your network, you can begin streaming content from the server on your network.
Enjoying Music, Photos, and Video on Other VAIO Computers
Building a Network
To access media on your computer from another computer, it is necessary to build a network.
In a wired LAN configuration, the clients and server are connected to a switching hub through Ethernet cables.

In a wireless LAN configuration, the clients and server are connected with the wireless access point through wireless connections. However, you may still connect some computers to the wireless access point with Ethernet cables, if desired.

Registering Clients
As an added layer of security, VAIO Media allows you to protect the computers on your network by registering the clients to the servers. This gives you the ability to determine which machines on your network will have access to the VAIO Media content on your clients and server. Registering clients on the server also prevents the unauthorized distribution of media on the server.
There are two types of registration: manual (i.e. you must register each client manually, which includes operations on the client and on the server) and automatic (i.e. clients that are connected to the server are automatically registered).

Protecting the media files stored on the server
If your server is connected directly to the Internet (not through a router) or you are connected to an intranet (such as in a condominium) that can readily be accessed by third parties, clients could be registered automatically to the server without your knowledge, allowing them access to your media files. You should normally register clients manually to ensure that only specific devices can enjoy the media files on your server.
Note also that if you change the VAIO Media Console registration method from automatic to manual, all clients that were registered automatically will no longer be able to access the server until registered manually.

To register clients manually, proceed to step 1. To register clients automatically, proceed to step 5.

On the client computer click Start, point to All Programs, VAIO Media, and then click VAIO Media.
The VAIO Media main menu appears.
You must log on to the client with administrator access privileges to perform this procedure.

Point to the left edge of the window, and then click Setting on the menu that appears.
The display changes as follows.

Click Register Device.
The VAIO Media Registration screen appears.

Click Start.

On the server computer click Start, point to All Programs, VAIO Media, Server Administration, and then click Console.
The VAIO Media Console dialog box appears.
You must log on to the server as a user with administrator access privileges to perform this procedure.

On the Access Control Settings tab, select the "Access this computer from other devices connected to the network" check box.

Under "Access Control Settings", select one of the following.
  • When registering clients manually, select "Restrict access to this computer to manually-registered devices" and proceed to step 8.
  • When registering clients that access the server automatically, select "Allow all connectable devices to access this computer", which concludes the setting procedure. Click Close.
Hint
Regardless of the option selected above, you can only register up to 20 clients per server.

Click Register.
The device registration wizard starts.

Specify the registration method.
Select one of the following.
  • Normally, you should select the "Automatically register devices when connected to the network" option. Selecting this option, and then selecting the "Use the confirmation number to register your device" check box ensures the most secure registration possible.
  • You can register clients by using the MAC address of their network interface. If you choose to do so, select the "Manually register the device by entering the MAC address" option. Use this registration method when you cannot use the method above.

Click Next and follow the instructions on the screen to complete the client registration.
You must verify the screens of both the client and the server.

Hints
  • If a client computer is equipped with multiple network interfaces (for example, a computer equipped with Ethernet and a wireless LAN) deactivate all network interfaces except the one that you want to use before registering the client. If there are several active network interfaces when you register the client, registration fails. If you plan to use VAIO Media through several interfaces, you must register the client through each network interface separately.
  • When the client network interface changes, it is necessary to register the client again.
When using a firewall function
VAIO Media may not operate correctly on computers running the firewall function on Windows XP or using commercial firewall software. To use VAIO Media with these computers, you must set them to allow client-server connections.
Using VAIO Media with computers that have a firewall function


Storing Media on the Server
The media that you can envoy with VAIO media can be stored on the server through the following means.
  • By using VAIO software
  • Saving media files in folders registered in VAIO Media Console
The following only explains procedures to store media on a server where VAIO Media is installed. When using a server where VAIO Media is not installed, refer to the documentation provided with your server for details about how to store media on it.
Using VAIO Software to Store Media
Use the preinstalled software below to store music, photos, or video on your computer and then enjoy it with VAIO Media. Using this method, the software used to store media varies according to the media.
Media type
Storage method (by VAIO Media server version*1)
VAIO Media server older than 2.5
VAIO Media server 2.5 or 2.6
VAIO Media server 3.0 or later
Music
SonicStage
Photos
  • PictureGear Studio PhotoCollection
  • Save video files in: C:\Documents and Settings\All Users\Photo Server\VAIO Media\
  • PictureGear Studio PhotoCollection
  • Photo Server Contents Manager
  • PictureGear Studio PhotoCollection
Video/Television*2
Giga Pocket

*1 | To verify the server version, click the VAIO Media Console Version button.
*2 | You can use the functions associated with watching television broadcasts on servers running Giga Pocket Server 5.5 or later.
Saving Media Files in Folders Registered in VAIO Media Console
By registering the folders of your choice on the server in VAIO Media Console, you can enjoy the files that they contain with VAIO Media. By doing so, you can enjoy media formats other than those supported by VAIO software. For details about the folder registration procedure, refer to VAIO Media Console Help.
  • You can only use this way of enjoying media if your server is running VAIO Media Integrated Server 3.0 or later. To verify the server version, click the VAIO Media Console Version button.
  • If the files in the folders registered in VAIO Media Console are of a type unsupported by VAIO Media Integrated Server, you cannot view, play back, and/or listen to these files on client computers. For details about VAIO Media Integrated Server compatible files, refer to Saving media files in a public folder.


Register Device

In this screen, you can register your computer as a client for another computer (the server).
To register clients, you must log on to your computer as a user with administrator access privileges.

What is Register Device?
Device Registration is a process that only permits clients that have registered to your server, access to its media.

The procedure requires you to perform actions on both the client computer and on the server.

Preparing your Network for use with VAIO Media


Enjoying Music, Photos, Video, and Television on Other VAIO Computers

Enjoying Music, Photos, Video, and Television
on Other VAIO Computers
The VAIO Media Installer can be copied to other VAIO computers. By installing VAIO Media on other computers, you can use VAIO Media to share music, photos, video and television.
For details about the installer, perform the following:
Click Start, point to All Programs, VAIO Media, and then click Install VAIO Media to other VAIO PCs.


VAIO Media Ver.3.1 Help

Using VAIO Media with computers
that have a firewall function
If you enable the Firewall function in Windows XP or install other commercial firewall software, you may no longer be able to use VAIO Media, depending on the firewall settings. For example:
  • If the firewall is active on the server, client computers can no longer connect to the server with VAIO Media.
  • If the firewall is active on the client computer, it may not be able to find or connect to servers on the network.
For these reasons, you must configure your computer to allow client-server connections when using a firewall function. These settings will differ depending on the firewall function for your computer.
By making these settings, you are granting access privileges to certain ports and programs on your firewall so that VAIO Media can connect to other devices. Before following the steps below, note that doing so may also leave your computer open to access by unwanted parties.
With Windows Firewall for Windows XP Service Pack 2
You must add VAIO Media as an exception to Windows Firewall. To make these settings, log on to both the server and client computers as a user with administrator access privileges.
Server: | Configure the setting in VAIO Media Console.
Client: | Configure the settings on the Firewall Settings screen of the VAIO Media settings screen.
With Windows XP "Internet Connection Firewall" (ICF)
You must open the port needed by VAIO Media. To make these settings, log on to both the server and client computers as a user with administrator access privileges.
Server: | Configure the setting in VAIO Media Console.
Client: | When connected to an external network, a message will appear asking whether or not to grant access to VAIO Media. Click the Yes button.
Hint
Once port 1900 is opened for the client service "[VAIO Media] SSDP (Multicast)" and the server service "[VAIO Media] UpnP Server (SSDP)" (both using 1900), it remains open even though other ports are closed as necessary. The reason for this is that if port 1900 closes automatically, it may affect other programs. If port 1900 no longer needs to be open on your computer, delete it on the Windows XP ICF settings screen.
With Other Firewall Software
When using other firewall software on a computer running VAIO Media, you must obtain permission from your software to run the following files. For details about how to obtain such permission, refer to the documentation for your firewall software.
VAIO Media: | vc.exe, vmpclient.exe
VAIO Media Integrated Server: | upnpframefork.exe, vmconsole.exe, sv_httpd.exe, vmisvr.exe, gpvsvr.exe
If you are using firewall software on the server, we strongly recommend that you activate the VAIO Media Console device authentication mode. For details about the device authentication mode, refer to the VAIO Media Console Help.

Back to "Preparing your Network for use with VAIO Media"